#ifndef PSEUDOECGDATAREADIN_HPP_
#define PSEUDOECGDATAREADIN_HPP
#include <vector>
#include <sstream>
#include <fstream>
#include <iostream>
#include <string>
#include <cassert>
#include "UblasVectorInclude.hpp"

class PseudoEcgDataReadIn
{
protected:

   virtual void LoadALine(std::stringstream& rLine)
   {
	   double voltage;
	   rLine >> voltage;

   this->mVoltage.push_back(voltage);
};
 public:

  PseudoEcgDataReadIn(std::string file)
   {
       LoadDataFromFile(file);
   };
   void LoadDataFromFile(std::string file);

         std::vector<double> mVoltage;
 public:

      PseudoEcgDataReadIn(){};

     virtual ~PseudoEcgDataReadIn(){};

      unsigned GetNumberOfValues(void);
      double GetValues(unsigned Index);
  };

  #endif // PSEUDOECGDATAREADIN_HPP_

